VULKAN_HPP_NAMESPACE::Optional< RefType > Class Template Reference

`#include <vulkan.hpp>`

Inheritance diagram for VULKAN_HPP_NAMESPACE::Optional< RefType >:
[legend]

## Public Member Functions

| Optional (RefType &reference)
| Optional (RefType *ptr)
| Optional (std::nullptr_t)
| operator RefType * () const
RefType const * | operator-> () const
| operator bool () const

## Private Attributes

RefType * | m_ptr

## Detailed Description

### template<typename RefType>
class VULKAN_HPP_NAMESPACE::Optional< RefType >

Definition at line 270 of file vulkan.hpp.

## Constructor & Destructor Documentation

## Optional() [1/3]

template<typename RefType >

VULKAN_HPP_NAMESPACE::Optional< RefType >::Optional | ( | RefType & | reference | ) |

inline

Definition at line 273 of file vulkan.hpp.

{ m_ptr = &reference; }

## Optional() [2/3]

template<typename RefType >

VULKAN_HPP_NAMESPACE::Optional< RefType >::Optional | ( | RefType * | ptr | ) |

inline

Definition at line 274 of file vulkan.hpp.

{ m_ptr = ptr; }

## Optional() [3/3]

template<typename RefType >

VULKAN_HPP_NAMESPACE::Optional< RefType >::Optional | ( | std::nullptr_t |  | ) |

inline

Definition at line 275 of file vulkan.hpp.

{ m_ptr = nullptr; }

## Member Function Documentation

## operator bool()

template<typename RefType >

VULKAN_HPP_NAMESPACE::Optional< RefType >::operator bool | ( |  | ) | const

inline explicit

Definition at line 279 of file vulkan.hpp.

{ return !!m_ptr; }

## operator RefType *()

template<typename RefType >

VULKAN_HPP_NAMESPACE::Optional< RefType >::operator RefType * | ( |  | ) | const

inline

Definition at line 277 of file vulkan.hpp.

{ return m_ptr; }

References VULKAN_HPP_NAMESPACE::Optional< RefType >::m_ptr.

## operator->()

template<typename RefType >

RefType const* VULKAN_HPP_NAMESPACE::Optional< RefType >::operator-> | ( |  | ) | const

inline

Definition at line 278 of file vulkan.hpp.

{ return m_ptr; }

## Field Documentation

## m_ptr

template<typename RefType >

RefType* VULKAN_HPP_NAMESPACE::Optional< RefType >::m_ptr

private

Definition at line 282 of file vulkan.hpp.

Referenced by VULKAN_HPP_NAMESPACE::Optional< const VULKAN_HPP_NAMESPACE::AllocationCallbacks >::operator bool(), VULKAN_HPP_NAMESPACE::Optional< RefType >::operator RefType *(), VULKAN_HPP_NAMESPACE::Optional< const VULKAN_HPP_NAMESPACE::AllocationCallbacks >::operator->(), and VULKAN_HPP_NAMESPACE::Optional< const VULKAN_HPP_NAMESPACE::AllocationCallbacks >::Optional().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

reference
GLint reference
Definition: SDL_opengl_glext.h:9174
VULKAN_HPP_NAMESPACE::Optional::m_ptr
RefType * m_ptr
Definition: vulkan.hpp:282